aboutsummaryrefslogtreecommitdiffstats
path: root/main/xgamma/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-30 06:50:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-30 06:50:11 +0000
commit3cbacc3c5e414a58ae215445519eb46db4921e08 (patch)
treefdda868b3483e251d6dd9c91f429ae094f093b45 /main/xgamma/APKBUILD
parentd48c529a8295229678d40751772417ef08a681f4 (diff)
downloadaports-3cbacc3c5e414a58ae215445519eb46db4921e08.tar.gz
aports-3cbacc3c5e414a58ae215445519eb46db4921e08.tar.bz2
aports-3cbacc3c5e414a58ae215445519eb46db4921e08.tar.xz
main/[various]: update config.sub
Diffstat (limited to 'main/xgamma/APKBUILD')
-rw-r--r--main/xgamma/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/main/xgamma/APKBUILD b/main/xgamma/APKBUILD
index 758f174a20..c49ccb88d8 100644
--- a/main/xgamma/APKBUILD
+++ b/main/xgamma/APKBUILD
@@ -11,8 +11,15 @@ depends=
makedepends="pkgconfig libx11-dev libxxf86vm-dev"
source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -23,7 +30,7 @@ build() {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
}
md5sums="e8a88bf1a18f35b724619849dca97f4f xgamma-1.0.3.tar.bz2"